import { nothing } from '../../../../../external/lit/index.js';
import { UmbLitElement } from '../../../lit-element/index.js';
export declare class UmbWorkspaceEntityActionMenuElement extends UmbLitElement {
    private _workspaceContext?;
    private _unique?;
    private _entityType?;
    constructor();
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'umb-workspace-entity-action-menu': UmbWorkspaceEntityActionMenuElement;
    }
}
